# -*- coding: utf-8 -*-

#    Copyright 2020 Fabien Bourgeois <fabien@yaltik.com>
#    Copyright 2020 Youssef El Ouahby <youssef@yaltik.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

""" GOLEM Resource Holiday Period Selection Management """

from odoo import models, fields, api, _
from odoo.exceptions import ValidationError


class GolemResourceHolidayPeriodSelection(models.Model):
    """ GOLEM Resource Holiday Period Selection"""
    _name = 'golem.resource.holiday.period.selection'
    _description = 'GOLEM Resource Holiday Period Selection Managementl'

    holiday_period_id = fields.Many2one('golem.resource.holiday.period', required=True)
    resource_id = fields.Many2one('golem.resource', required=True)
    is_reservation_possible = fields.Boolean()
